import { CompositeSpecification } from "@/contexts/common/domain";

import { User } from "./User";

export class UserHasName extends CompositeSpecification<User> {
  public isSatisfiedBy(candidate: User): boolean {
    return !candidate.name.isEmpty();
  }
}
